Skip to content

Remove Automation

DELETE /public/automation/{automationId}

Permanently delete a content automation so it will no longer be executed.

Endpoint Details

  • Authentication: Basic Auth (Authorization: Basic Base64(AccessKey:SecretKey))
  • Access Tier: Gold+

Parameters

ParameterTypeRequiredDescription
automationIdstringYesThe unique identifier of the automation.

Example Request

bash
curl -X DELETE "https://api.repliz.com/public/automation/680affa5ce12f2f72916f67e" \
  -H "Authorization: Basic $(echo -n 'YOUR_ACCESS_KEY:YOUR_SECRET_KEY' | base64)"
javascript
import axios from 'axios';

const automationId = '680affa5ce12f2f72916f67e';

const response = await axios.delete(
  `https://api.repliz.com/public/automation/${automationId}`,
  {
    auth: {
      username: 'YOUR_ACCESS_KEY',
      password: 'YOUR_SECRET_KEY',
    },
  },
);

console.log(response.data);
javascript
const credentials = btoa('YOUR_ACCESS_KEY:YOUR_SECRET_KEY');

const automationId = '680affa5ce12f2f72916f67e';

const response = await fetch(
  `https://api.repliz.com/public/automation/${automationId}`,
  {
    method: 'DELETE',
    headers: {
      Authorization: `Basic ${credentials}`,
    },
  },
);

const data = await response.json();
console.log(data);

Response

json
// No content returned on success
json
{
  "code": 404,
  "message": "automation not found"
}
json
{
  "code": 401,
  "message": "unauthorized"
}